package com.ai.da.service;

import com.ai.da.mapper.primary.entity.TrialOrder;
import com.ai.da.model.dto.AccountTrialDTO;
import com.ai.da.model.dto.TrialOrderDTO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface TrialOrderService extends IService<TrialOrder> {

    Boolean addTrialUser(AccountTrialDTO accountTrialDTO, HttpServletRequest request);

    Boolean trialOrderApproval(List<Long> ids);

    IPage<TrialOrder> trialOrderList(TrialOrderDTO trialOrderDTO);

    Boolean trialOrderRefuse(List<Long> ids);

    Boolean trialUserLogout();
}
